﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.IO;
using Touryo.Infrastructure.Public.IO;
using Touryo.Infrastructure.Public.Str;

namespace TestBinaryFormatter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Class1 c = new Class1();
            c.s = this.textBox1.Text;
            c.d = this.numericUpDown1.Value;

            File.WriteAllText("../data",
                CustomEncode.ToBase64String(BinarySerialize.ObjectToBytes(c)));
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Class1 c = (Class1)BinarySerialize.BytesToObject(
                CustomEncode.FromBase64String(File.ReadAllText("../data")));

            this.textBox1.Text = c.s;
            this.numericUpDown1.Value = c.d;
            numericUpDown1.UpButton();
            numericUpDown1.DownButton();
        }
    }
}
